Bug 137533 - *** glibc detected *** double free or corruption: 0x000000000079d4e5
*** glibc detected *** double free or corruption: 0x000000000079d4e5
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
: 139488 (view as bug list)
Depends On:
Blocks: FC3Blocker
  Show dependency treegraph
 
Reported: 2004-10-29 07:11 EDT by Tim Waugh
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 09:09:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ks-auto.cfg (1.56 KB, text/plain)
2004-10-29 10:41 EDT, Tim Waugh
no flags Details
anaconda-free.patch (759 bytes, patch)
2004-11-02 06:22 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2004-10-29 07:11:51 EDT
Description of problem:
I get this message from a kickstart install (from HD) of FC3 rc2:

*** glibc detected *** double free or corruption: 0x000000000079d4e5

Then the installation aborts.  VT3 says:

[...]
* Found hd stage2
* Copying /tmp/loopimage//Fedora/base/stage2.img in RAM as stage 2
* copied 77369344 bytes to /tmp/ramfs/stage2.img (complete)
* mntloop loop1 on /mnt/runtime as /tmp/ramfs/stage2.img fd is 14
* umounting loopback /tmp/loopimage loop0

Version-Release number of selected component (if applicable):
anaconda-10.1.0.2-1.x86_64.rpm

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2004-10-29 10:01:34 EDT
Also happens with FC3-3.4.
Comment 2 Tim Waugh 2004-10-29 10:41:08 EDT
Created attachment 105939 [details]
ks-auto.cfg

Here is the kickstart file I'm using.
Comment 4 Tim Waugh 2004-11-01 05:58:50 EST
Same happens with RC5, except the address is 0x79d565.

Can anyone else reproduce this, or is it just me?
Comment 5 Tim Waugh 2004-11-02 06:16:37 EST
Hmm, I might have found the problem -- testing a fix.
Comment 6 Tim Waugh 2004-11-02 06:22:47 EST
Created attachment 106064 [details]
anaconda-free.patch

Here is the fix.  We are passing ptr+5 to free() instead of ptr.
Comment 7 Tim Waugh 2004-11-02 06:58:48 EST
I've checked in this fix to HEAD and to fc3-branch.
Comment 8 Jeremy Katz 2004-11-02 09:32:24 EST
Thanks Tim.  Probably won't get into FC3 unless we do a respin at this
point (workaround is to remove /dev from your device name)
Comment 9 Jeremy Katz 2004-11-16 12:09:25 EST
*** Bug 139488 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.